lpadmin(8)

NOMBRE
lpadmin - configura las impresoras y clases cups

SINOPSIS
lpadmin [ -E ] [ -h servidor ] -d destino
lpadmin [ -E ] [ -h servidor ] -p impresora opcion(es)
lpadmin [ -E ] [ -h servidor ] -x destino

DESCRIPCIÓN
lpadmin configura las colas de las clases e impresoras proporcionadas por CUPS. También se puede usar para poner la clase o impresora predeterminada del servidor.

Cuando se usa la opción -E antes de las opciones -d, -p, o -x, hace que se use encriptación en la conexión con el servidor.

La primera forma del comando pone como clase o impresora predeterminada a destino. Los trabajos de impresión enviados posteriormente mediante el comando lp(1) o lpr(1) utilizarán este destino a menos que el usuario especifique otra cosa con el comando lpoptions(1).

La segunda forma del comando configura la impresora especificada. Las opciones adicionales se describen a continuación.

La tercera forma del comando borra la clase o impresora destino. Cualquier trabajo pendiente para este destino será borrado y cualquier trabajo en proceso de impresión será cancelado.

OPCIONES DE CONFIGURACIÓN
Estas son las opciones reconocidas cuando se configura una cola de impresora:

-c clase
    Añade la impresora especificada a la clase. Si clase no existe, se crea automáticamente.

-i interfaz
    Establece para la impresora un guión (script) de interfaz estilo System V. Esta opción no puede ser especificada con la opción -P (archivo PPD) y está pensada para dar soporte a controladores de impresora legados.

-m modelo
    Establece un guión (script) de interfaz estandar System V o archivo PPD desde el directorio modelo.

-o nombre=valor
    Establece una opción del servidor o PPD para la impresora. Se pueden listar las opciones PPD usando la opción -l con el comando lpoptions(1).

-o job-k-limit=valor
    Establece un límite en kilobytes para las cuotas por usuario. El valor es un número entero de kilobytes; un kilobyte son 1024 bytes.

-o job-page-limit=valor
    Establece el límite de páginas para las cuotas por usuario. El valor es un número entero con el número de páginas que pueden ser impresas; páginas por las dos caras se cuentan como dos páginas.

-o job-quota-period=valor
    Establece el periodo de contabilidad para las cuotas por usuario. El valor es un número entero de segundos; un día tiene 86.400 segundos.

-o protocol=nombre
    Establece el protocolo de comunicaciones binario a usar cuando se imprime, None (ninguno), BCP, o TBCP. El protocolo predeterminado es None (ninguno).

-r clase
    Elimina la impresora especificada de la clase. Si la clase resultante no tiene más impresoras, se borra.

-u allow:usuario,usuario,@grupo
    -u deny:usuario,usuario,@grupo -u allow:all -u deny:none
    Establece el control de acceso a nivel de usuario en una impresora. Los nombres que comiencen con "@" se interpretan como grupos UNIX. Las dos últimas formas desactivan el control de acceso a nivel de usuario.

-v uri-dispositivo
    Establece el atributo de uri-dispositivo de la cola de impresión. Si uri-dispositivo es un nombre de archivo, automáticamente es convertido a la forma file:/nombre/archivo.

-D info
    Proporciona una descripción de la impresora.

-E
    Activa la impresora y hace que acepte trabajos; es lo mismo que ejecutar los programas accept(8) y enable(8) en la impresora.

-L ubicación
    Proporciona una ubicación de la impresora.

-P archivo-ppd
    Especifica un archivo de descripción de impresora PostScript (PPD) para usar con la impresora. Si se especifica este archivo, esta opción anula la opción -i (guión de interfaz).

COMPATIBILIDAD
A diferencia del sistema de impresión System V, CUPS permite que los nombres de impresoras contengan cualquier carácter imprimible excepto ESPACIO y TAB. También, en los nombres de clases e impresoras no hay distinción entre mayúsculas y minúsculas. Finalmente, la versión de CUPS de lpadmin puede pedir al usuario una palabra de acceso dependiendo de la configuración del sistema de impresión. Esto es diferente de la versión System V que requiere que sea el usuario root el que ejecute este comando.

LIMITACIONES
La versión de CUPS de lpadmin no soporta todas las opciones de configuración del sistema de impresión System V o Solaris.

VÉASE TAMBIÉN
accept(8), cancel(1), disable(8), enable(8), lp(1), lpstat(1), reject(8), Manual de administrador de CUPS, http://localhost:631/documentation.html

DERECHOS DE COPIA
Los derechos de copia 1993-2004 son de Easy Software Products. Todos los derechos reservados.

TRADUCCIÓN
Juan Pablo González Riopedre <riopedre@tiscali.es>